KABC::AddresseeItem Class Reference

`#include <addresseedialog.h>`

Inherits QListViewItem.

## Public Types

enum | columns { Name = 0, Email = 1 }

## Public Member Functions

| AddresseeItem (QListView *parent, const Addressee &addressee)
Addressee | addressee () const
virtual QString | key (int column, bool ascending) const

## Detailed Description

Special ListViewItem, that is used by the AddresseeDialog.

Definition at line 37 of file addresseedialog.h.

## Member Enumeration Documentation

enum KABC::AddresseeItem::columns

Type of column.

- `Name` - Name in Addressee
- `Email` - Email in Addressee

Definition at line 46 of file addresseedialog.h.

## Constructor & Destructor Documentation

AddresseeItem::AddresseeItem | ( | QListView * | parent,
|  | const Addressee & | addressee
| ) |  |

Constructor.

Parameters

  parent | The parent listview.
  addressee | The associated addressee.

Definition at line 36 of file addresseedialog.cpp.

## Member Function Documentation

Addressee KABC::AddresseeItem::addressee | ( |  | ) | const

inline

Returns the addressee.

Definition at line 59 of file addresseedialog.h.

QString AddresseeItem::key | ( | int | column,
|  | bool | ascending
| ) |  | const

virtual

Method used by QListView to sort the items.

Definition at line 44 of file addresseedialog.cpp.

The documentation for this class was generated from the following files:

- addresseedialog.h
- addresseedialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys